List the teams of a project (tenant:forge:read)
GET /api/forge/v1/projects/{key}/teams
Module: Forge · operationId: listForgeTeams · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Requires tenant:forge:read and a project the caller sees.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key |
path | string | yes | Project key (e.g. APP) |
Responses
- 200 The teams (
application/json) - 404 Error (
application/json)
Fields of the 200 answer:
items(array of Team, required)description(string, required): Description (max length 2000)id(string (uuid), required): Team idkey(string, required): Team key; never changesmemberRefs(array of string, required): E-mails, the first is the leadname(string, required): Display name (max length 80)position(integer, required): Order in the configurationversion(integer, required): Optimistic-locking version; send it with PATCH
Example 200 answer:
{
"items": [
{
"description": "Entwickler der iOS- und Android-App; Paul leitet das Team.",
"id": "ce8f9a0b-1c2d-4e3f-8a01-8c9d0e1f2a01",
"key": "mobile",
"memberRefs": [
"paul.schmid@muster-it.example",
"marie.wagner@muster-it.example"
],
"name": "Mobile-Team",
"position": 0,
"version": 1
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/forge/v1/projects/string/teams' \
-H "Authorization: Bearer $ACCESS_TOKEN"